#include "OFK<%= modname %>.h"

// <%- OFK_INTERNALAPI_DECLARE %>

// <%- OFK_EXPORTAPI_DECLARE %> 

static OF_Int32 ofk_init<%= modname %>(OFK_KnlIf* knlIf, OF_Int32 parmSize, void* parm) 
{
    OF_Int32 modId;

    modId = OFKIF_knlGetThreadModuleId();
    OFKIF_knlSetRegistry("ServiceIf.OFK_<%= modname %>If", (OF_Byte*)&modId, sizeof(OF_Int32));

    return(0);
}

// <%- OFK_USINGIF_DECLARE %>
OFK_USINGIF_DECLARE_OFK_KnlIf(Knl)

OFK_USINGIF_LIST_START(<%= modname %>)
// <%- OFK_USINGIF_LIST %>
    OFK_USINGIF(Knl)
OFK_USINGIF_LIST_END(<%= modname %>)

OFK_IF_DECLARE_START_OFK_<%= modname %>If(<%= modname %>If, 1)
// <%- OFK_IF_DECLARE %>
OFK_IF_DECLARE_END_OFK_<%= modname %>If()

OFK_MODULE_INTERFACE_START(<%= modname %>)
    OFK_IF_OFK_<%= modname %>If(<%= modname %>If)
OFK_MODULE_INTERFACE_END(<%= modname %>)

OFK_MODULE_START(<%= modname %>)
    OFK_MODULE_INIT(ofk_init<%= modname %>)
OFK_MODULE_END(<%= modname %>)

